<!DOCTYPE html>
<html>
	<head>
		<textarea id="page_name" style="display:none">hacerpregunta</textarea>
		<textarea id="page_pos" style="display:none">1</textarea>
		<title>Crear post</title>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
		<link rel="stylesheet" type="text/css" href="../css/style.css">
		<link rel="stylesheet" type="text/css" href="../css/normalize.css">
		<link rel="stylesheet" type="text/css" href="../css/header-style.css">
		<link rel="stylesheet" type="text/css" href="../css/icons/style.css">
		<link rel="stylesheet" type="text/css" href="../css/post-style.css">
		<link rel="stylesheet" type="text/css" href="../css/footer-style.css">
	</head>
	<body>
		<input type="checkbox" id="btn-bus" class="checkbox2">
		<input type="checkbox" id="btn-nav" class="checkbox">

		<header class="cabeza" id="header_logeado">
			<div class="header-container">

				<a href="#"><img class="header-logo" src="https://www.argentina.gob.ar/sites/default/files/ejercito_logo_malvinas_0.png" onclick="redirectionLogo()"></a>

				<div class="search" >
					<form class="buscador">
						<input type="text" placeholder="Buscar">
						<button type="submit"><i class="icon-search"></i></button>
					</form>		
				</div>


				<div class="sesion">
			
			    	<label for="btn-bus" class="btn-bus" id="phone-bus-button">
						<div class="bus icon-search"></div>
					</label>

					<label for="btn-nav" class="btn-nav" id="phone-menu-button">
						<div class="header-button">
							<input type="checkbox" class="nav-open-check">
							<div class="nav-open-button">
								<span class="icon-menu"></span>
							</div>
							<div class="nav-options">
								<div>
									<span class="icon-pencil" onclick="redirectionNewPost()"></span>
								</div>
								<div>
									<span class="icon-cog" onclick=""></span>
								</div>
								
							</div>
						</div>
			    	</label>
				</div>
					
			</div>
		</header>

		<!--------------------------POST-------------------------------------->

		<section>
				<div class="cuerpo">
					
					<div class="hacer_pre" >

						<h3>
							
						</h3>

						<div>
							<div class="titulo">
								
								<input type="text" placeholder="Cual es tu pregunta?" name="titulo" id="titulo">
							</div>


							<div class="descripcion">
							

								<ul class="editor">
									<li class="fas fa-bold" onclick="execCmd('bold');"></li>
									<li class="fas fa-italic"  onclick="execCmd('italic');"></li>
									<li class="fas fa-underline"  onclick="execCmd('underline');"></li>
									<li class="fas fa-strikethrough"  onclick="execCmd('strikeThrough');"></li>
									<div class="hr"></div>
									<li class="fas fa-align-left"  onclick="execCmd('justifyLeft');"></li>
									<li class="fas fa-align-center"  onclick="execCmd('justifyCenter');"></li>
									<li class="fas fa-align-right"  onclick="execCmd('justifyRight');"></li>
									<li class="fas fa-align-justify"  onclick="execCmd('justifyFull');"></li>
									<div class="hr"></div>
									<li class="fas fa-cut"  onclick="execCmd('cut');"></li>
									<li class="fas fa-copy"  onclick="execCmd('copy');"></li>
									<li class="fas fa-file-image"  onclick="execCommandWithArg('insertImage', prompt('Enter the image URL', ''));"></li>
									<li class="fas fa-link" onclick="execCommandWithArg('createLink', prompt('Enter a URL', 'http://'));"></li>
									<li class="fas fa-unlink" onclick="execCmd('unlink');"></li>
									<div class="hr"></div>
									<li class="fas fa-indent"  onclick="execCmd('indent');"></li>
									<li class="fas fa-outdent"  onclick="execCmd('outdent');"></li>
									<li class="fas fa-paragraph"  onclick="execCmd('insertParagraph');"></li>
									<div class="hr"></div>
									<li class="fas fa-subscript"  onclick="execCmd('subscript');">
									<li class="fas fa-superscript"  onclick="execCmd('superscript');"></li>
									<div class="hr"></div>
									<li class="fas fa-undo"  onclick="execCmd('undo');"></li>
									<li class="fas fa-redo"  onclick="execCmd('redo');"></li>
									<div class="hr"></div>
									<li class="fas fa-list-ul"  onclick="execCmd('insertUnorderedList');"></li>
									<li class="fas fa-list-ol"  onclick="execCmd('insertOrderedList');"></li>
									<div class="hr"></div>
									<li onclick="execCmd('insertHorizontalRule');">HR</li>
									<hr>
									<li class="far fa-clipboard" onclick="execCmd('selectAll');"></li>
									<div class="hr"></div>
									<select onchange="execCommandWithArg('formatBlock', this.value);">
										<option value="H1">H1</option>
										<option value="H2">H2</option>
										<option value="H3">H3</option>
										<option value="H4">H4</option>
										<option value="H5">H5</option>
										<option value="H6">H6</option>
									</select>
									<br />
									<select onchange="execCommandWithArg('fontName', this.value);">
										<option value="Arial">Arial</option>
										<option value="Comic Sans MS">Comic Sans MS</option>
										<option value="Courier">Courier</option>
										<option value="Georgia">Georgia</option>
										<option value="Tahoma">Tahoma</option>
										<option value="Times New Roman">Times New Roman</option>
										<option value="Verdana">Verdana</option>
									</select>
									<select onchange="execCommandWithArg('fontSize', this.value);">
										<option value="1">1</option>
										<option value="2">2</option>
										<option value="3">3</option>
										<option value="4">4</option>
										<option value="5">5</option>
										<option value="6">6</option>
										<option value="7">7</option>
									</select>
									<div class="hr"></div>
									<div class="color">
										<span>Color:</span><input type="color" onchange="execCommandWithArg('foreColor', this.value);">
										<span>Fondo:</span><input type="color"  onchange="execCommandWithArg('hiliteColor', this.value);">
									</div>

								</ul>
								
								<!--<li class="fa fa-code"  onclick="toggleSource();"></li> <button onclick="toggleSource();"><i class="fa fa-code"></i></button>-->

								<!--<button onclick="toggleEdit();">Toggle Edit</button>-->				
								
								<iframe class="txt_hacer_pre" id="cuerpo" name="cuerpo"></iframe>
							</div>

							<div class="categorias">
								<p>Categorías</p>
								<select id="categorias_listados">
								</select>
							</div>

							<div class="tags">
								<div class="tags2">
									<p>Tags</p>
									<input type="text" id="set_tag">
								</div>
								
								<div class="tags_echos" id="tags_echos">
								</div>
							</div>

							<button class="boton_pub" name="enviar" onclick="setPregunta()">Publicar post</button>

						</div>

					</div>
					
				</div>	
			</section>

		<div class="footer-container">
			<footer>
				<div class="footer-redes">
					<div class="redes-visita">
						<p>Visita nuestras redes</p>
					</div>
					<div class="redes-iconos">
						<div>
							<span class="icon-twitter icons" onclick="redirection()"></span>
						</div>
						<div>
							<span class="icon-instagram icons"></span>
						</div>
						<div>
							<span class="icon-facebook icons"></span>
						</div>
					</div>
				</div>
				<div class="footer-contacto">
					<p>Desarrollador: Cristian Fanzi</p>
				</div>
			</footer>
		</div>
		
		<!--------------------SCRIPTS------------------------->
		<script type="text/javascript" src="../js/jquery-3.6.0.js"></script>
		<script type="text/javascript" src="../js/ajax/functions.js"></script>
		<script type="text/javascript" src="../js/ajax/pages/p.index_in.js"></script>
		<script type="text/javascript" src="../js/ajax/pages/p.index_out.js"></script>
	</body>
</html>